Package org.apache.velocity.util.introspection

# Interface ChainableUberspector

All Superinterfaces:
  `Uberspect`

All Known Implementing Classes:
  `AbstractChainableUberspector`, `DeprecatedCheckUberspector`, `LinkingUberspector`

public interface ChainableUberspector extends Uberspect
Interface that marks uberspectors as chainable, meaning that multiple uberspectors can be combined in a chain (using the Decorator pattern).

Since:
  1.6
Version:
  $Id: $

## Method Summary

Modifier and Type
Method
Description
`void`
`wrap(Uberspect inner)`
Specify the decorated Uberspector

### Methods inherited from interface org.apache.velocity.util.introspection.Uberspect

`getIterator, getMethod, getPropertyGet, getPropertySet, init`

## Method Details

### wrap

void wrap(Uberspect inner)
Specify the decorated Uberspector

Parameters:
  `inner` - The decorated uberspector.